CPANPLUS::Module::Checksums(3)

NAME
CPANPLUS::Module::Checksums - checking the checksum of a distribution

SYNOPSIS
    $file   = $modobj->checksums;
    $bool   = $mobobj->_validate_checksum;

DESCRIPTION
This is a class that provides functions for checking the checksum of a distribution. Should not be loaded directly, but used via the interface provided via "CPANPLUS::Module".

METHODS

  $mod->checksums
Fetches the checksums file for this module object. For the options it can take, see "CPANPLUS::Module::fetch()".

Returns the location of the checksums file on success and false on error.

The location of the checksums file is also stored as

    $mod->status->checksums